|  | Home · All Classes · Modules

# QPyDesignerCustomWidgetPlugin Class Reference
[QtDesigner module]

Inherits QObject and QDesignerCustomWidgetInterface.

### Methods

- __init__ (self, QObject parent = None)

## Detailed Description

The QPyDesignerCustomWidgetPlugin class is provided to work around the fact that it is not possible for a Python class to derive from multiple Qt classes.

In order to write a plugin that contains a single custom widget you should implement a Python class derived from QPyDesignerCustomWidgetPlugin rather than one derived from QObject and QDesignerCustomWidgetInterface.

## Method Documentation

### QPyDesignerCustomWidgetPlugin.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.